Api Management Service - Get Domain Ownership Identifier

Get the custom domain ownership identifier for an API Management service.

POST https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ApiManagement/getDomainOwnershipIdentifier?api-version=2021-08-01

URI Parameters

Name In Required Type Description
subscriptionId
path True
  • string

Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Version of the API to be used with the client request.

Responses

Name Type Description
200 OK

The result of getting domain ownership identifier.

Other Status Codes

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ApiManagementServiceGetDomainOwnershipIdentifier

Sample Request

POST https://management.azure.com/subscriptions/subid/providers/Microsoft.ApiManagement/getDomainOwnershipIdentifier?api-version=2021-08-01

Sample Response

{
  "domainOwnershipIdentifier": "KLE1vdMblVeHECAi4nCe3oNaXXXXvNlLrXt2ev84KM="
}

Definitions

ApiManagementServiceGetDomainOwnershipIdentifierResult

Response of the GetDomainOwnershipIdentifier operation.

ErrorFieldContract

Error Field contract.

ErrorResponse

Error Response.

ApiManagementServiceGetDomainOwnershipIdentifierResult

Response of the GetDomainOwnershipIdentifier operation.

Name Type Description
domainOwnershipIdentifier
  • string

The domain ownership identifier value.

ErrorFieldContract

Error Field contract.

Name Type Description
code
  • string

Property level error code.

message
  • string

Human-readable representation of property-level error.

target
  • string

Property name.

ErrorResponse

Error Response.

Name Type Description
error.code
  • string

Service-defined error code. This code serves as a sub-status for the HTTP error code specified in the response.

error.details

The list of invalid fields send in request, in case of validation error.

error.message
  • string

Human-readable representation of the error.